<div class="create-candidate container">
  <h2 class="pb-2 header text-center"
    [jhiTranslate]="idCandidate ? 'candidateManagement.home.update' : 'global.menu.createCandidate'"></h2>
  <form class="create-candidate__form" [formGroup]="candidateForm" (submit)="onSubmit()">
    <div class="create-candidate__form__group">
      <h4 class="create-candidate__form__group__title">
        Personal information
      </h4>
      <div class="create-candidate__form__group__fields">
        <div>
          <label class="form-control-label" jhiTranslate="candidateManagement.table.firstName">Country</label>
          <div>
            <input type="text" class="form-control" formControlName="firstName"
              [ngClass]="{'error-input': candidateForm.get('firstName')?.invalid && (candidateForm.get('firstName')?.dirty || candidateForm.get('firstName')?.touched)}"
              [placeholder]="'candidateManagement.table.firstName' | translate">
          </div>
          <div
            *ngIf="candidateForm.get('firstName')?.invalid && (candidateForm.get('firstName')?.dirty || candidateForm.get('firstName')?.touched)">
            <small class="form-text text-danger" jhiTranslate="entity.validation.required">
              This field is required.
            </small>
          </div>
        </div>
        <div>
          <label class="form-control-label" jhiTranslate="candidateManagement.table.lastName">Country</label>
          <div>
            <input type="text" class="form-control" formControlName="lastName"
              [ngClass]="{'error-input': candidateForm.get('lastName')?.invalid && (candidateForm.get('lastName')?.dirty || candidateForm.get('lastName')?.touched)}"
              [placeholder]="'candidateManagement.table.lastName' | translate">
          </div>
          <div
            *ngIf="candidateForm.get('lastName')?.invalid && (candidateForm.get('lastName')?.dirty || candidateForm.get('lastName')?.touched)">
            <small class="form-text text-danger" jhiTranslate="entity.validation.required">
              This field is required.
            </small>
          </div>
        </div>
        <div>
          <label class="form-control-label" jhiTranslate="candidateManagement.table.birthYear">Country</label>
          <div>
            <ng-select [items]="years" formControlName="birthYear"
              [placeholder]="'candidateManagement.table.birthYear' | translate">
            </ng-select>
          </div>
        </div>
        <div>
          <label class="form-control-label" jhiTranslate="candidateManagement.table.personalNumber">Country</label>
          <div>
            <input type="text" class="form-control" formControlName="personalNumber"
              [ngClass]="{'error-input': candidateForm.get('personalNumber')?.invalid && (candidateForm.get('personalNumber')?.dirty || candidateForm.get('personalNumber')?.touched)}"
              [placeholder]="'candidateManagement.table.personalNumber' | translate">
          </div>
          <div
            *ngIf="candidateForm.get('personalNumber')?.invalid && (candidateForm.get('personalNumber')?.dirty || candidateForm.get('personalNumber')?.touched)">
            <small class="form-text text-danger" *ngIf="candidateForm.get('personalNumber')?.errors?.required"
              jhiTranslate="entity.validation.required">
              This field is required.
            </small>
            <small class="form-text text-danger" *ngIf="candidateForm.get('personalNumber')?.errors?.pattern"
              jhiTranslate="entity.validation.number">
              This field should be a number.
            </small>
            <small class="form-text text-danger" *ngIf="candidateForm.get('personalNumber')?.errors?.minlength"
              jhiTranslate="entity.validation.minlength" [translateValues]="{min: 12}">
              This field is required.
            </small>
            <small class="form-text text-danger" *ngIf="candidateForm.get('personalNumber')?.errors?.maxlength"
              jhiTranslate="entity.validation.maxlength" [translateValues]="{max: 12}">
              This field is required.
            </small>
          </div>
        </div>
        <div>
          <label class="form-control-label" jhiTranslate="candidateManagement.table.gender">Country</label>
          <div>
            <ng-select [items]="genders" formControlName="gender"
              [ngClass]="{'error-select': candidateForm.get('gender')?.invalid && (candidateForm.get('gender')?.dirty || candidateForm.get('gender')?.touched)}"
              [placeholder]="'candidateManagement.table.gender' | translate"></ng-select>
          </div>
          <div
            *ngIf="candidateForm.get('gender')?.invalid && (candidateForm.get('gender')?.dirty || candidateForm.get('gender')?.touched)">
            <small class="form-text text-danger" jhiTranslate="entity.validation.required">
              This field is required.
            </small>
          </div>
        </div>
        <div>
          <label class="form-control-label" jhiTranslate="candidateManagement.table.regionId">regionId</label>
          <div>
            <ng-select *ngIf="!candidateForm.get('countryId')?.invalid" [items]="regions" formControlName="regionId"
              bindLabel="name" bindValue="id"
              [ngClass]="{'error-select': candidateForm.get('regionId')?.invalid && (candidateForm.get('regionId')?.dirty || candidateForm.get('regionId')?.touched)}"
              [placeholder]="'candidateManagement.table.regionId' | translate"></ng-select>
            <input type="text" class="form-control" *ngIf="candidateForm.get('countryId')?.invalid" disabled
              [ngClass]="{'error-input': candidateForm.get('regionId')?.invalid && (candidateForm.get('regionId')?.dirty || candidateForm.get('regionId')?.touched)}"
              [placeholder]="'candidateManagement.table.regionId' | translate">
          </div>
          <div
            *ngIf="candidateForm.get('regionId')?.invalid && (candidateForm.get('regionId')?.dirty || candidateForm.get('regionId')?.touched)">
            <small class="form-text text-danger" jhiTranslate="entity.validation.required">
              This field is required.
            </small>
          </div>
        </div>
        <div>
          <label class="form-control-label" jhiTranslate="candidateManagement.table.countryId">Country</label>
          <div>
            <ng-select [items]="countries" formControlName="countryId" bindLabel="name" bindValue="id"
              (search)="loadCountries($event.term)" (clear)="loadCountries('')"
              [ngClass]="{'error-select': candidateForm.get('countryId')?.invalid && (candidateForm.get('countryId')?.dirty || candidateForm.get('countryId')?.touched)}"
              [placeholder]="'candidateManagement.table.countryId' | translate"></ng-select>
          </div>
          <div
            *ngIf="candidateForm.get('countryId')?.invalid && (candidateForm.get('countryId')?.dirty || candidateForm.get('countryId')?.touched)">
            <small class="form-text text-danger" jhiTranslate="entity.validation.required">
              This field is required.
            </small>
          </div>
        </div>
        <div>
          <label class="form-control-label" jhiTranslate="candidateManagement.table.linkedLnLink">Country</label>
          <div>
            <input type="text" class="form-control" formControlName="linkedLnLink"
              [placeholder]="'candidateManagement.table.linkedLnLink' | translate">
          </div>
        </div>
      </div>
    </div>
    <div class="create-candidate__form__group">
      <h4 class="create-candidate__form__group__title">
        Candidate
      </h4>
      <div class="create-candidate__form__group__fields_row">
        <div>
          <label class="form-control-label" jhiTranslate="candidateManagement.table.employerIds">Country</label>
          <div>
            <ng-select [items]="employers" formControlName="employerIds" bindLabel="name" bindValue="id"
              [selectableGroup]="true" [closeOnSelect]="false" [multiple]="true" (search)="loadEmployers($event.term)"
              (clear)="loadEmployers('')" [addTag]="true" addTagText="Add new employer: " (add)="addEmployer($event)"
              [clearSearchOnAdd]="true"
              [ngClass]="{'error-select': candidateForm.get('employerIds')?.invalid && (candidateForm.get('employerIds')?.dirty || candidateForm.get('employerIds')?.touched)}"
              [placeholder]="'candidateManagement.table.employerIds' | translate">
              <ng-template ng-option-tmp let-item="item" let-item$="item$" let-index="index">
                <input id="item-employer-{{index}}" type="checkbox"
                  [checked]="(candidateForm.get('employerIds')?.value || []).includes(item.id)" /> {{item.name}}
              </ng-template>
            </ng-select>
          </div>
          <div
            *ngIf="candidateForm.get('employerIds')?.invalid && (candidateForm.get('employerIds')?.dirty || candidateForm.get('employerIds')?.touched)">
            <small class="form-text text-danger" jhiTranslate="entity.validation.required">
              This field is required.
            </small>
          </div>
        </div>
        <div>
          <label class="form-control-label"
            jhiTranslate="candidateManagement.table.firstEmployment">firstEmployment</label>
          <div>
            <input type="number" class="form-control" formControlName="firstEmployment"
              [ngClass]="{'error-input': candidateForm.get('firstEmployment')?.invalid && (candidateForm.get('firstEmployment')?.dirty || candidateForm.get('firstEmployment')?.touched)}"
              [placeholder]="'candidateManagement.table.firstEmployment' | translate">
          </div>
          <div
            *ngIf="candidateForm.get('firstEmployment')?.invalid && (candidateForm.get('firstEmployment')?.dirty || candidateForm.get('firstEmployment')?.touched)">
            <small class="form-text text-danger" jhiTranslate="entity.validation.required" *ngIf="candidateForm.get('firstEmployment')?.errors?.required">
              This field is required.
            </small>
            <small class="form-text text-danger" *ngIf="!candidateForm.get('firstEmployment')?.errors?.required">
              This field is invalid number.
            </small>
          </div>
        </div>
        <div>
          <label class="form-control-label"
            jhiTranslate="candidateManagement.table.managerialPositionIds">Country</label>
          <div>
            <ng-select [items]="managerialPositions" formControlName="managerialPositionIds" bindLabel="name"
              bindValue="id" [selectableGroup]="true" [closeOnSelect]="false" [multiple]="true"
              [clearSearchOnAdd]="true" (search)="loadManagerialPositions($event.term)" [addTag]="true"
              addTagText="Add new managerial position: " (add)="addManagerialPosition($event)"
              (clear)="loadManagerialPositions('')"
              [ngClass]="{'error-select': candidateForm.get('managerialPositionIds')?.invalid && (candidateForm.get('managerialPositionIds')?.dirty || candidateForm.get('managerialPositionIds')?.touched)}"
              [placeholder]="'candidateManagement.table.managerialPositionIds' | translate">
              <ng-template ng-option-tmp let-item="item" let-item$="item$" let-index="index">
                <input id="item-employer-{{index}}" type="checkbox"
                  [checked]="(candidateForm.get('managerialPositionIds')?.value || []).includes(item.id)" />
                {{item.name}}
              </ng-template>
            </ng-select>
          </div>
          <div
            *ngIf="candidateForm.get('managerialPositionIds')?.invalid && (candidateForm.get('managerialPositionIds')?.dirty || candidateForm.get('managerialPositionIds')?.touched)">
            <small class="form-text text-danger" jhiTranslate="entity.validation.required">
              This field is required.
            </small>
          </div>
        </div>
        <div>
          <label class="form-control-label" jhiTranslate="candidateManagement.table.businessAreaIds">Country</label>
          <div class="businessArea-pick">
            <div *ngFor="let area of businessAreas" class="businessArea-pick__item">
              <input type="checkbox" class=" hand" [id]="'areaCheck' + area.id" (change)="onSelectBusinessArea($event)"
                [checked]="isCheckedArea(area.id)" [value]="area.id">
              <label class="form-check-label font-weight-normal hand" [for]="'areaCheck' + area.id">
                {{area.name}}
              </label>
            </div>
          </div>
          <div
            *ngIf="candidateForm.get('businessAreaIds')?.invalid && (candidateForm.get('businessAreaIds')?.dirty || candidateForm.get('businessAreaIds')?.touched)">
            <small class="form-text text-danger" jhiTranslate="entity.validation.required">
              This field is required.
            </small>
          </div>
        </div>

        <div>
          <label class="form-control-label" jhiTranslate="candidateManagement.table.cvs">CVs</label>
          <ngx-file-drop dropZoneLabel="Drop files here" (onFileDrop)="dropped($event)" accept=".pdf"
            [dropZoneClassName]="'cv-drop-file' + (isCsvInvalid ? ' invalid' : '')"
            contentClassName="cv-drop-file__content" [multiple]="true">
            <ng-template ngx-file-drop-content-tmp let-openFileSelector="openFileSelector">
              <i class="bi bi-cloud-upload"></i> Drop files to attach, or <button type="button"
                (click)="openFileSelector()">browse</button>
            </ng-template>
          </ngx-file-drop>
          <div class="cv-list">
            <div class="cv-list__item" *ngFor="let item of cvs; let i=index" [ngClass]="{'cv-invalid': !item.valid}">
              <i class="bi bi-file-earmark-pdf" style="font-size: 2rem;"></i>
              <div class="cv-list__item__info">
                <p><span>
                    {{ item.name }}
                  </span> <span>{{item.size | bytesToSize}}</span></p>
                <ngb-progressbar [height]="'5px'" type="primary" [value]="item.valid ? 100 : 0" [animated]="true">
                </ngb-progressbar>
              </div>
              <button class="btn p-0" type="button" (click)="removeCv(item.name)">
                <i class="bi bi-x"></i>
              </button>
            </div>
            <div class="cv-list__item" *ngFor="let item of cvsExited; let i=index">
              <i class="bi bi-file-earmark-pdf" style="font-size: 2rem;"></i>
              <div class="cv-list__item__info">
                <p><span>
                    {{ item.fileName }}
                  </span></p>
                <ngb-progressbar [height]="'5px'" type="success" [value]="100" [animated]="true">
                </ngb-progressbar>
              </div>
              <button class="btn p-0" type="button" (click)="removeCvExited(item.id)">
                <i class="bi bi-x"></i>
              </button>
            </div>
          </div>
          <div *ngIf="isCsvInvalid">
            <small class="form-text text-danger" jhiTranslate="entity.validation.fileFormat"
              [translateValues]="{format: 'pdf'}">
            </small>
          </div>
        </div>
      </div>
    </div>
    <div class="create-candidate__form__group">
      <h4 class="create-candidate__form__group__title">
        Contact
      </h4>
      <div class="create-candidate__form__group__fields">
        <div>
          <label class="form-control-label" jhiTranslate="candidateManagement.table.city">Country</label>
          <div>
            <input type="text" class="form-control" formControlName="city"
              [ngClass]="{'error-input': candidateForm.get('city')?.invalid && (candidateForm.get('city')?.dirty || candidateForm.get('city')?.touched)}"
              [placeholder]="'candidateManagement.table.city' | translate">
          </div>
          <div
            *ngIf="candidateForm.get('city')?.invalid && (candidateForm.get('city')?.dirty || candidateForm.get('city')?.touched)">
            <small class="form-text text-danger" jhiTranslate="entity.validation.required">
              This field is required.
            </small>
          </div>
        </div>
        <div>
          <label class="form-control-label" jhiTranslate="candidateManagement.table.zipCode">Country</label>
          <div>
            <input type="text" class="form-control" formControlName="zipCode"
              [ngClass]="{'error-input': candidateForm.get('zipCode')?.invalid && (candidateForm.get('zipCode')?.dirty || candidateForm.get('zipCode')?.touched)}"
              [placeholder]="'candidateManagement.table.zipCode' | translate">
          </div>
          <div
            *ngIf="candidateForm.get('zipCode')?.invalid && (candidateForm.get('zipCode')?.dirty || candidateForm.get('zipCode')?.touched)">
            <small class="form-text text-danger" jhiTranslate="entity.validation.required">
              This field is required.
            </small>
          </div>
        </div>
        <div>
          <label class="form-control-label" jhiTranslate="candidateManagement.table.county">Country</label>
          <div>
            <input type="text" class="form-control" formControlName="county"
              [ngClass]="{'error-input': candidateForm.get('county')?.invalid && (candidateForm.get('county')?.dirty || candidateForm.get('county')?.touched)}"
              [placeholder]="'candidateManagement.table.county' | translate">
          </div>
          <div
            *ngIf="candidateForm.get('county')?.invalid && (candidateForm.get('county')?.dirty || candidateForm.get('county')?.touched)">
            <small class="form-text text-danger" jhiTranslate="entity.validation.required">
              This field is required.
            </small>
          </div>
        </div>
        <div>
          <label class="form-control-label" jhiTranslate="candidateManagement.table.streetAddress">Country</label>
          <div>
            <input type="text" class="form-control" formControlName="streetAddress"
              [ngClass]="{'error-input': candidateForm.get('streetAddress')?.invalid && (candidateForm.get('streetAddress')?.dirty || candidateForm.get('streetAddress')?.touched)}"
              [placeholder]="'candidateManagement.table.streetAddress' | translate">
          </div>
          <div
            *ngIf="candidateForm.get('streetAddress')?.invalid && (candidateForm.get('streetAddress')?.dirty || candidateForm.get('streetAddress')?.touched)">
            <small class="form-text text-danger" jhiTranslate="entity.validation.required">
              This field is required.
            </small>
          </div>
        </div>
        <div>
          <label class="form-control-label" jhiTranslate="candidateManagement.table.phoneNumber">Country</label>
          <div>
            <input type="text" class="form-control" formControlName="phoneNumber"
              [ngClass]="{'error-input': candidateForm.get('phoneNumber')?.invalid && (candidateForm.get('phoneNumber')?.dirty || candidateForm.get('phoneNumber')?.touched)}"
              [placeholder]="'candidateManagement.table.phoneNumber' | translate">
          </div>
          <div
            *ngIf="candidateForm.get('phoneNumber')?.invalid && (candidateForm.get('phoneNumber')?.dirty || candidateForm.get('phoneNumber')?.touched)">
            <small class="form-text text-danger" *ngIf="candidateForm.get('phoneNumber')?.errors?.required"
              jhiTranslate="entity.validation.required">
              This field is required.
            </small>
            <small class="form-text text-danger" *ngIf="candidateForm.get('phoneNumber')?.errors?.minlength"
              jhiTranslate="entity.validation.minlength" [translateValues]="{min: 8}">
              This field is required.
            </small>
            <small *ngIf="candidateForm.get('phoneNumber')?.errors?.pattern" class="form-text text-danger"
              jhiTranslate="entity.validation.patternPhone">
              This field is required.
            </small>
          </div>
        </div>
        <div>
          <label class="form-control-label" jhiTranslate="candidateManagement.table.secondPhoneNumber">Country</label>
          <div>
            <input type="text" class="form-control" formControlName="secondPhoneNumber"
              [ngClass]="{'error-input': candidateForm.get('secondPhoneNumber')?.invalid && (candidateForm.get('secondPhoneNumber')?.dirty || candidateForm.get('secondPhoneNumber')?.touched)}"
              [placeholder]="'candidateManagement.table.secondPhoneNumber' | translate">
          </div>
          <div
            *ngIf="candidateForm.get('secondPhoneNumber')?.invalid && (candidateForm.get('secondPhoneNumber')?.dirty || candidateForm.get('secondPhoneNumber')?.touched)">
            <small class="form-text text-danger" *ngIf="candidateForm.get('secondPhoneNumber')?.errors?.required"
              jhiTranslate="entity.validation.required">
              This field is required.
            </small>
            <small class="form-text text-danger" *ngIf="candidateForm.get('secondPhoneNumber')?.errors?.minlength"
              jhiTranslate="entity.validation.minlength" [translateValues]="{min: 8}">
              This field is required.
            </small>
            <small *ngIf="candidateForm.get('secondPhoneNumber')?.errors?.pattern" class="form-text text-danger"
              jhiTranslate="entity.validation.patternPhone">
              This field is required.
            </small>
          </div>
        </div>
        <div>
          <label class="form-control-label" jhiTranslate="candidateManagement.table.emailPrivate">Country</label>
          <div>
            <input type="email" class="form-control" formControlName="emailPrivate" email="true"
              [ngClass]="{'error-input': candidateForm.get('emailPrivate')?.invalid && (candidateForm.get('emailPrivate')?.dirty || candidateForm.get('emailPrivate')?.touched)}"
              [placeholder]="'candidateManagement.table.emailPrivate' | translate">
          </div>
          <div
            *ngIf="candidateForm.get('emailPrivate')?.invalid && (candidateForm.get('emailPrivate')?.dirty || candidateForm.get('emailPrivate')?.touched)">
            <small *ngIf="candidateForm.get('emailPrivate')?.errors?.required" class="form-text text-danger"
              jhiTranslate="entity.validation.required">
              This field is required.
            </small>
            <small *ngIf="candidateForm.get('emailPrivate')?.errors?.pattern" class="form-text text-danger"
              jhiTranslate="entity.validation.patternEmail">
              This field is required.
            </small>
          </div>
        </div>
        <div>
          <label class="form-control-label" jhiTranslate="candidateManagement.table.emailWork">Country</label>
          <div>
            <input type="email" class="form-control" formControlName="emailWork" email="true"
              [ngClass]="{'error-input': candidateForm.get('emailWork')?.invalid && (candidateForm.get('emailWork')?.dirty || candidateForm.get('emailWork')?.touched)}"
              [placeholder]="'candidateManagement.table.emailWork' | translate">
          </div>
          <div
            *ngIf="candidateForm.get('emailWork')?.invalid && (candidateForm.get('emailWork')?.dirty || candidateForm.get('emailWork')?.touched)">
            <small *ngIf="candidateForm.get('emailPrivate')?.errors?.required" class="form-text text-danger"
              jhiTranslate="entity.validation.required">
              This field is required.
            </small>
            <small *ngIf="candidateForm.get('emailWork')?.errors?.pattern" class="form-text text-danger"
              jhiTranslate="entity.validation.patternEmail">
              This field is required.
            </small>
          </div>
        </div>
      </div>
    </div>
    <div class="create-candidate__form__submit">
      <button class="btn btn-outline-info" (click)="clearFrom()">
        Cancel
      </button>
      <button class="btn btn-outline-info" [disabled]="isDisableSubmit" type="submit">
        {{idCandidate ? "Submit" : "Create"}}
      </button>
    </div>
  </form>
</div>